org.apache.fop.pdf

## Class PDFLinearization

- java.lang.Object
- - org.apache.fop.pdf.PDFLinearization

-     public class PDFLinearization
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFLinearization(PDFDocument doc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `outputPages(OutputStream stream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFLinearization

          public PDFLinearization(PDFDocument doc)

  - ### Method Detail

    - #### outputPages

          public void outputPages(OutputStream stream)
                           throws IOException

      Throws:
        `IOException`

Copyright © 2023 Apache Software Foundation. All rights reserved.